## org.codehaus.plexus.i18n
Class LanguageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.plexus.i18n.LanguageException

All Implemented Interfaces:
  java.io.Serializable

    public class LanguageException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`LanguageException()`
`LanguageException(java.lang.String message)`
`LanguageException(java.lang.String message, java.lang.Throwable cause)`
`LanguageException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LanguageException

    public LanguageException()

### LanguageException

    public LanguageException(java.lang.String message)

### LanguageException

    public LanguageException(java.lang.Throwable cause)

### LanguageException

    public LanguageException(java.lang.String message,
                             java.lang.Throwable cause)

Copyright © 2011. All Rights Reserved.